Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.escape.ascape.wrap
Class ModelWrapperScapeListener

    java.lang.Object
      org.ascape.model.event.DefaultScapeListener
          org.eclipse.amp.escape.ascape.wrap.ModelWrapperScapeListener

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.EventListener, ScapeListener, HasName

    public class ModelWrapperScapeListener

extends DefaultScapeListener

The listener interface for receiving modelWrapperScape events. The class that is interested in processing a modelWrapperScape event implements this interface, and the object created with that class is registered with a component using the component's `addModelWrapperScapeListener`method. When the modelWrapperScape event occurs, that object's appropriate method is invoked.``

See Also:
  `ModelWrapperScapeEvent`, Serialized Form

Field Summary

Fields inherited from class org.ascape.model.event.DefaultScapeListener
`listeningToScape, name, scape`

Constructor Summary
`ModelWrapperScapeListener(IModel model, Scape scape, ILifeCycleListener wrapped)` Instantiates a new model wrapper scape listener.

Method Summary
`java.lang.Object` | `clone()` Clones this object.
`java.lang.String` | `getName()` Returns a name for the view as defined by set name.
`Scape` | `getScape()` Returns the scape the listner is listening to.
`boolean` | `isGraphic()` Is this a grpahic view? By default, returns false.
`boolean` | `isLifeOfScape()` Returns true (default) if the listener is intended to be used only for the current scape; typical of all but control related listeners.
`void` | `scapeAdded(ScapeEvent scapeEvent)` Add the view to the scape, registering it as a listener, and ensuring that it hasn't been added to any other scapes.
`void` | `scapeClosing(ScapeEvent scapeEvent)` Method called as the scape is about to be closed.
`void` | `scapeInitialized(ScapeEvent scapeEvent)` Called immediatly after the scape is initialized.
`void` | `scapeIterated(ScapeEvent scapeEvent)` Called immediatly after scape is iterated.
`void` | `scapeRemoved(ScapeEvent scapeEvent)` Notifies the listener that the scape has removed it.
`void` | `scapeSetup(ScapeEvent scapeEvent)` Method called when the scape is ready for setup.
`void` | `scapeStarted(ScapeEvent scapeEvent)` Called immediatly after the scape is started.
`void` | `scapeStopped(ScapeEvent scapeEvent)` Called immediatly after the scape is stopped.

Methods inherited from class org.ascape.model.event.DefaultScapeListener
`environmentQuiting, isNotifyScapeAutomatically, notifyScapeUpdated, scapeDeserialized, scapeNotification, setName, setNotifyScapeAutomatically, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModelWrapperScapeListener

    public ModelWrapperScapeListener(IModel model,
                                     Scape scape,
                                     ILifeCycleListener wrapped)

  Instantiates a new model wrapper scape listener.

  Parameters:
    `model` - the model
    `scape` - the scape
    `wrapped` - the wrapped

Method Detail

### scapeAdded

    public void scapeAdded(ScapeEvent scapeEvent)
                    throws java.util.TooManyListenersException

  Description copied from class: `DefaultScapeListener`
  Add the view to the scape, registering it as a listener, and ensuring that it hasn't been added to any other scapes.

  Specified by:
    `scapeAdded` in interface `ScapeListener`
  Overrides:
    `scapeAdded` in class `DefaultScapeListener`
  Parameters:
    `scapeEvent` -
  Throws:
    `java.util.TooManyListenersException`
  See Also:
    `DefaultScapeListener.scapeAdded(org.ascape.model.event.ScapeEvent)`

### scapeClosing

    public void scapeClosing(ScapeEvent scapeEvent)

  Description copied from class: `DefaultScapeListener`
  Method called as the scape is about to be closed. Allows any final view cleanup.

  Specified by:
    `scapeClosing` in interface `ScapeListener`
  Overrides:
    `scapeClosing` in class `DefaultScapeListener`
  Parameters:
    `scapeEvent` -
  See Also:
    `DefaultScapeListener.scapeClosing(org.ascape.model.event.ScapeEvent)`

### scapeInitialized

    public void scapeInitialized(ScapeEvent scapeEvent)

  Description copied from class: `DefaultScapeListener`
  Called immediatly after the scape is initialized.

  Specified by:
    `scapeInitialized` in interface `ScapeListener`
  Overrides:
    `scapeInitialized` in class `DefaultScapeListener`
  Parameters:
    `scapeEvent` -
  See Also:
    `DefaultScapeListener.scapeInitialized(org.ascape.model.event.ScapeEvent)`

### scapeIterated

    public void scapeIterated(ScapeEvent scapeEvent)

  Description copied from class: `DefaultScapeListener`
  Called immediatly after scape is iterated.

  Specified by:
    `scapeIterated` in interface `ScapeListener`
  Overrides:
    `scapeIterated` in class `DefaultScapeListener`
  Parameters:
    `scapeEvent` -
  See Also:
    `DefaultScapeListener.scapeIterated(org.ascape.model.event.ScapeEvent)`

### scapeRemoved

    public void scapeRemoved(ScapeEvent scapeEvent)

  Description copied from class: `DefaultScapeListener`
  Notifies the listener that the scape has removed it. The scape event event must be from the scape that this listener is listening to.

  Specified by:
    `scapeRemoved` in interface `ScapeListener`
  Overrides:
    `scapeRemoved` in class `DefaultScapeListener`
  Parameters:
    `scapeEvent` -
  See Also:
    `DefaultScapeListener.scapeRemoved(org.ascape.model.event.ScapeEvent)`

### scapeSetup

    public void scapeSetup(ScapeEvent scapeEvent)

  Description copied from class: `DefaultScapeListener`
  Method called when the scape is ready for setup. That is, the scape has been created (or it has just finished its previous run) but it has not yet been initialized. This is an appropriate place to change model paramters, persent user's with options, etc.

  Specified by:
    `scapeSetup` in interface `ScapeListener`
  Overrides:
    `scapeSetup` in class `DefaultScapeListener`
  Parameters:
    `scapeEvent` -
  See Also:
    `DefaultScapeListener.scapeSetup(org.ascape.model.event.ScapeEvent)`

### scapeStarted

    public void scapeStarted(ScapeEvent scapeEvent)

  Description copied from class: `DefaultScapeListener`
  Called immediatly after the scape is started.

  Specified by:
    `scapeStarted` in interface `ScapeListener`
  Overrides:
    `scapeStarted` in class `DefaultScapeListener`
  Parameters:
    `scapeEvent` -
  See Also:
    `DefaultScapeListener.scapeStarted(org.ascape.model.event.ScapeEvent)`

### scapeStopped

    public void scapeStopped(ScapeEvent scapeEvent)

  Description copied from class: `DefaultScapeListener`
  Called immediatly after the scape is stopped.

  Specified by:
    `scapeStopped` in interface `ScapeListener`
  Overrides:
    `scapeStopped` in class `DefaultScapeListener`
  Parameters:
    `scapeEvent` -
  See Also:
    `DefaultScapeListener.scapeStopped(org.ascape.model.event.ScapeEvent)`

### getScape

    public Scape getScape()

  Description copied from class: `DefaultScapeListener`
  Returns the scape the listner is listening to.

  Specified by:
    `getScape` in interface `ScapeListener`
  Overrides:
    `getScape` in class `DefaultScapeListener`
  Returns:
  See Also:
    `DefaultScapeListener.getScape()`

### isGraphic

    public boolean isGraphic()

  Description copied from class: `DefaultScapeListener`
  Is this a grpahic view? By default, returns false. Overide to return true if this is a graphic view.

  Specified by:
    `isGraphic` in interface `ScapeListener`
  Overrides:
    `isGraphic` in class `DefaultScapeListener`
  Returns:
  See Also:
    `DefaultScapeListener.isGraphic()`

### isLifeOfScape

    public boolean isLifeOfScape()

  Description copied from class: `DefaultScapeListener`
  Returns true (default) if the listener is intended to be used only for the current scape; typical of all but control related listeners.

  Specified by:
    `isLifeOfScape` in interface `ScapeListener`
  Overrides:
    `isLifeOfScape` in class `DefaultScapeListener`
  Returns:
  See Also:
    `DefaultScapeListener.isLifeOfScape()`

### getName

    public java.lang.String getName()

  Description copied from class: `DefaultScapeListener`
  Returns a name for the view as defined by set name.

  Specified by:
    `getName` in interface `HasName`
  Overrides:
    `getName` in class `DefaultScapeListener`
  Returns:
  See Also:
    `DefaultScapeListener.getName()`

### clone

    public java.lang.Object clone()

  Clones this object.

  Specified by:
    `clone` in interface `ScapeListener`
  Overrides:
    `clone` in class `DefaultScapeListener`
  Returns:
    the object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD